<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Geração de token</title>
    <style>
        body {
            font-family: "Roboto", sans-serif;
            background-color: #f0f0f0;
            font-family: Arial, sans-serif;
            display: flex;
            flex-direction: column;
            gap: 24px;
        }
        form {
            width: 450px;
            margin: 0 auto;
            padding: 2rem;
            background-color: #fff;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h2 {
            color: #109cd8;
            text-align: center;
            margin: 0;
            margin-bottom: 24px;
        }
        label {
            display: block;
            color: #333;
        }
        input {
            height:  50px;
        }
        input[type="text"],
        input[type="email"],
        input[type="file"],

        .content {
            padding: 1rem;
        }

        #logo-img {
            padding: 5rem 0 2rem;
            margin: auto;
        }
    </style>
</head>
<body>

<img src="/image" width="250px" height="12%" id="logo-img">

<form id="signatureForm">
    <h2>Token de acesso ao PSC: </h2>
    <div class="content">
        <div>
            <textarea id="token" autofocus rows="5" cols="55">{{.}}</textarea>
        </div>
    </div>
</form>
</body>
</html>
